Subject: bug#39340: closed (Re: bug#39340: 26.3; "Noto Emoji" font not displayed)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 20 Sep 2020 11:10:01 +0000

Your bug report

#39340: 26.3; "Noto Emoji" font not displayed

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39340: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39340
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39340: 26.3; "Noto Emoji" font not displayed
From: Eli Zaretskii <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sun, 20 Sep 2020 14:09:36 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 20 Sep 2020 12:55:54 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I'm not really sure what would we write in PROBLEMS.  That some
> > unnamed characters don't display correctly when HarfBuzz is not
> > installed, and that if this happens, we suggest to install HarfBuzz
> > and/or build Emacs with HarfBuzz support?  If such a vague entry is
> > deemed useful, I can write it.
> 
> Yeah, I think that would be useful.

Done.

Subject: 26.3; "Noto Emoji" font not displayed
From: [email-masked]
To: [email-masked]
Date: Wed, 29 Jan 2020 13:12:07 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

I installed Noto fonts including "Noto Emoji"(NotoEmoji-Regular.ttf).
Almost all glyphs defined in the font are not displayed.

Evaluating the following form, only "©® ⃣〰〽㊗㊙" can be displayed.
  (set-fontset-font t '(#x80 . #x1FFFF) "Noto Emoji")

Other characters listed below are displayed with other fonts or boxed
hex numbers.
Putting 'face property with :family "Noto Emoji" attribute is not
effective.

non-displayable characters
 unicode-bmp:
‼⁉™ℹ↔↕↖↗↘↙↩↪⌚⌛⏩⏪⏫⏬⏰⏳
Ⓜ▪▫▶◀◊◻◼◽◾☀☁☎☑☔☕☝☺♈♉
♊♋♌♍♎♏♐♑♒♓♠♣♥♦♨♻♿⚓⚠⚡
⚪⚫⚽⚾⛄⛅⛎⛔⛪⛲⛳⛵⛺⛽✂✅✈✉✊✋
✌✏✒✔✖✨✳✴❄❇❌❎❓❔❕❗❤➕➖➗
➡➰➿⤴⤵⬅⬆⬇⬛⬜⭐⭕

 unicode-smp:
🀄🃏🅰🅱🅾🅿🆎🆑🆒🆓🆔🆕🆖🆗🆘🆙🆚🈁🈂🈚
🈯🈲🈳🈴🈵🈶🈷🈸🈹🈺🉐🉑🌀🌁🌂🌃🌄🌅🌆🌇
🌈🌉🌊🌋🌌🌍🌎🌏🌐🌑🌒🌓🌔🌕🌖🌗🌘🌙🌚🌛
🌜🌝🌞🌟🌠🌰🌱🌲🌳🌴🌵🌷🌸🌹🌺🌻🌼🌽🌾🌿
🍀🍁🍂🍃🍄🍅🍆🍇🍈🍉🍊🍋🍌🍍🍎🍏🍐🍑🍒🍓
🍔🍕🍖🍗🍘🍙🍚🍛🍜🍝🍞🍟🍠🍡🍢🍣🍤🍥🍦🍧
🍨🍩🍪🍫🍬🍭🍮🍯🍰🍱🍲🍳🍴🍵🍶🍷🍸🍹🍺🍻
🍼🎀🎁🎂🎃🎄🎅🎆🎇🎈🎉🎊🎋🎌🎍🎎🎏🎐🎑🎒
🎓🎠🎡🎢🎣🎤🎥🎦🎧🎨🎩🎪🎫🎬🎭🎮🎯🎰🎱🎲
🎳🎴🎵🎶🎷🎸🎹🎺🎻🎼🎽🎾🎿🏀🏁🏂🏃🏄🏆🏇
🏈🏉🏊🏠🏡🏢🏣🏤🏥🏦🏧🏨🏩🏪🏫🏬🏭🏮🏯🏰
🐀🐁🐂🐃🐄🐅🐆🐇🐈🐉🐊🐋🐌🐍🐎🐏🐐🐑🐒🐓
🐔🐕🐖🐗🐘🐙🐚🐛🐜🐝🐞🐟🐠🐡🐢🐣🐤🐥🐦🐧
🐨🐩🐫🐬🐭🐮🐯🐰🐱🐲🐳🐴🐵🐶🐷🐸🐹🐺🐻🐼
🐽🐾👀👂👃👄👅👆👇👈👉👊👋👌👍👎👏👐👑👒
👓👔👕👖👗👘👙👚👛👜👝👞👟👠👡👢👣👤👥👦
👧👨👩👪👫👬👭👮👯👰👱👲👳👴👵👶👷👸👹👺
👻👼👽👾👿💀💁💂💃💄💅💆💇💈💉💊💋💌💍💎
💏💐💑💒💓💔💕💖💗💘💙💚💛💜💝💞💟💠💡💢
💣💤💥💦💧💨💩💪💫💬💭💮💯💰💱💲💳💴💵💶
💷💸💹💺💻💼💽💾💿📀📁📂📃📄📅📆📇📈📉📊
📋📌📍📎📏📐📑📒📓📔📕📖📗📘📙📚📛📜📝📞
📟📠📡📢📣📤📥📦📧📨📩📪📫📬📭📮📯📰📱📲
📳📴📵📶📷📹📺📻📼🔀🔁🔂🔃🔄🔅🔆🔇🔈🔉🔊
🔋🔌🔍🔎🔏🔐🔑🔒🔓🔔🔕🔖🔗🔘🔙🔚🔛🔜🔝🔞
🔟🔠🔡🔢🔣🔤🔥🔦🔧🔨🔩🔪🔫🔬🔭🔮🔯🔰🔱🔲
🔳🔴🔵🔶🔷🔸🔹🔺🔻🔼🔽🕐🕑🕒🕓🕔🕕🕖🕗🕘
🕙🕚🕛🕜🕝🕞🕟🕠🕡🕢🕣🕤🕥🕦🕧🗻🗼🗽🗾🗿
😀😁😂😃😄😅😆😇😈😉😊😋😌😍😎😏😐😑😒😓
😔😕😖😗😘😙😚😛😜😝😞😟😠😡😢😣😤😥😦😧
😨😩😪😫😬😭😮😯😰😱😲😳😴😵😶😷😸😹😺😻
😼😽😾😿🙀🙅🙆🙇🙈🙉🙊🙋🙌🙍🙎🙏🚀🚁🚂🚃
🚄🚅🚆🚇🚈🚉🚊🚋🚌🚍🚎🚏🚐🚑🚒🚓🚔🚕🚖🚗
🚙🚚🚛🚜🚝🚞🚟🚠🚡🚢🚣🚤🚥🚦🚧🚨🚩🚪🚫🚬
🚭🚮🚯🚰🚱🚲🚳🚴🚵🚶🚷🚸🚹🚺🚻🚼🚽🚾🚿🛀
🛁🛂🛃🛄🛅

In GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
 of 2019-08-29 built on CIRROCUMULUS
Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
Windowing system distributor 'Microsoft Corp.', version 10.0.18363
Recent messages:

Configured using:
 'configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS THREADS LCMS2

Important settings:
  value of $LANG: JPN
  locale-coding-system: cp932

Major mode: Help

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(network-stream nsm starttls tls gnutls mailalias smtpmail auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs wid-edit descr-text
misearch multi-isearch help-mode pp shadow sort mail-extr emacsbug
message rmc puny seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs
cl-lib dired dired-loaddefs format-spec rfc822 mml easymenu mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils term/bobcat elec-pair time-date mule-util japan-util tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
dos-w32 ls-lisp disp-table term/w32-win w32-win w32-vars term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads w32notify w32
lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 119659 38984)
 (symbols 48 33017 0)
 (miscs 40 111 516)
 (strings 32 88739 2928)
 (string-bytes 1 2032940)
 (vectors 16 22743)
 (vector-slots 8 1684332 202510)
 (floats 8 57 436)
 (intervals 56 1165 261)
 (buffers 992 18))